## ros-humble-hash-library-vendor 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(hash_library_vendor)

## Compile options
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  set(CMAKE_CXX_EXTENSIONS OFF)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

## Dependencies
find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

## Define vendor macro
macro(build_vendor_package)
  set(git_tag "hash_library_v8")
  include(FetchContent)
  fetchcontent_declare(hash_library_vendor
    GIT_REPOSITORY https://github.com/stbrumme/hash-library.git
    GIT_TAG ${git_tag}
  )
  fetchcontent_makeavailable(hash_library_vendor)

  file(GLOB HASH_LIBRARY_SOURCE "${CMAKE_CURRENT_BINARY_DIR}/_deps/${PROJECT_NAME}-src/*.cpp")
  file(GLOB HASH_LIBRARY_INCLUDE "${CMAKE_CURRENT_BINARY_DIR}/_deps/${PROJECT_NAME}-src/*.h")

  ament_auto_add_library(hash_library_vendor SHARED
    ${HASH_LIBRARY_SOURCE}
    ${HASH_LIBRARY_INCLUDE}
  )

  install(
    FILES
      ${HASH_LIBRARY_INCLUDE}
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME}
  )
endmacro()

## Call vendor macro
build_vendor_package()
ament_export_include_directories(include)

## Tests
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

## Package
ament_auto_package()

=== debian/changelog ===
ros-humble-hash-library-vendor (0.1.1-3jammy) jammy; urgency=high

  * Declare missing dependency on git (#8 <https://github.com/tier4/hash_library_vendor/issues/8>)
  * Contributors: Scott K Logan

 -- Kenji Miyake <kenji.miyake@tier4.jp>  Wed, 15 Dec 2021 08:00:00 -0000

ros-humble-hash-library-vendor (0.1.0-3jammy) jammy; urgency=high

  * Bump streetsidesoftware/cspell-action from 1.3.1 to 1.3.5 (#6 <https://github.com/tier4/hash_library_vendor/issues/6>)
    Bumps [streetsidesoftware/cspell-action](https://github.com/streetsidesoftware/cspell-action) from 1.3.1 to 1.3.5.
    - [Release notes](https://github.com/streetsidesoftware/cspell-action/releases)
    - [Changelog](https://github.com/streetsidesoftware/cspell-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/streetsidesoftware/cspell-action/compare/v1.3.1...v1.3.5)
    ---
    updated-dependencies:
    - dependency-name: streetsidesoftware/cspell-action
    dependency-type: direct:production
    update-type: version-update:semver-patch
    ...
    Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
  * Add author (#2 <https://github.com/tier4/hash_library_vendor/issues/2>)
  * Add files
  * Initial commit
  * Contributors: Kenji Miyake, dependabot[bot]

 -- Kenji Miyake <kenji.miyake@tier4.jp>  Tue, 23 Nov 2021 08:00:00 -0000

=== debian/control ===
Source: ros-humble-hash-library-vendor
Section: misc
Priority: optional
Maintainer: Kenji Miyake <kenji.miyake@tier4.jp>
Build-Depends: debhelper (>= 9.0.0), git, ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/stbrumme/hash-library
Standards-Version: 3.9.2

Package: ros-humble-hash-library-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ros-workspace
Description: ROS2 vendor package for stbrumme/hash-library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-hash-library-vendor//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
